package com.hzy.project.business.salary.service;

import java.util.List;
import com.hzy.project.business.salary.domain.Salary;
import com.hzy.project.business.salary.domain.SalaryVo;

/**
 * 工资Service接口
 * 
 * @author ruoyi
 * @date 2026-01-02
 */
public interface ISalaryService 
{
    /**
     * 查询工资
     * 
     * @param salaryId 工资主键
     * @return 工资
     */
    public Salary selectSalaryBySalaryId(Long salaryId);

    /**
     * 查询工资列表
     * 
     * @param salary 工资
     * @return 工资集合
     */
    public List<SalaryVo> selectSalaryList(SalaryVo salary);

    /**
     * 新增工资
     * 
     * @param salary 工资
     * @return 结果
     */
    public int insertSalary(Salary salary);

    /**
     * 修改工资
     * 
     * @param salary 工资
     * @return 结果
     */
    public int updateSalary(Salary salary);

    /**
     * 批量删除工资
     * 
     * @param salaryIds 需要删除的工资主键集合
     * @return 结果
     */
    public int deleteSalaryBySalaryIds(String salaryIds);

    /**
     * 删除工资信息
     * 
     * @param salaryId 工资主键
     * @return 结果
     */
    public int deleteSalaryBySalaryId(Long salaryId);
}
